﻿package silent{
	
	import flash.display.Sprite;
	import flash.events.Event;
	import flash.events.MouseEvent;
	import flash.utils.Timer;
	import flash.events.TimerEvent;
	import flash.ui.ContextMenu;
	import flash.display.StageDisplayState;
	import flash.ui.Mouse;
	
	import silent.screens.ScreenSaver;
	
	public class Main extends Sprite{
		
		private var screensaver:ScreenSaver = new ScreenSaver();
		private var timer:Timer = new Timer(30000,0);
		
		private var prev:Function;
		//private var plan:int = 0;
		
		private var currStep;
		private var prevX:int = 0;
		private var prevY:int = 0;
		private var curX:int = 0;
		private var curY:int = 0;
 
		private var dirX:String = "";
		private var dirY:String = "";
		
		public function Main():void{
			this.addEventListener(Event.ADDED, init, false, 0, true);
		}
		
		private function init(e:Event):void{
			this.removeEventListener(Event.ADDED, init);
			currStep = step1_mc;
			reset();
			prev = goStep1;
			
			addChild(screensaver);
			screensaver.activate();
			
			screensaver.addEventListener(MouseEvent.MOUSE_UP, goStep1);
			screensaver.addEventListener(MouseEvent.MOUSE_DOWN, goStep1);
			screensaver.addEventListener(MouseEvent.MOUSE_MOVE, goStep1);
			
			stage.addEventListener(MouseEvent.MOUSE_UP, resetTimer);
			stage.addEventListener(MouseEvent.MOUSE_DOWN, resetTimer);
			stage.addEventListener(MouseEvent.MOUSE_MOVE, checkDirection);
			timer.addEventListener(TimerEvent.TIMER, screensaverOn);
			timer.start();
			
			step1_mc.addEventListener(Event.COMPLETE, goStep2);
			step2Spend_mc.addEventListener(Event.COMPLETE, goStep3);
			step2Usage_mc.addEventListener(Event.COMPLETE, goStep3);
			step3_mc.addEventListener(Event.COMPLETE, goStep4);
			step4_mc.addEventListener(Event.COMPLETE, goStep5);
			step5_mc.addEventListener(Event.COMPLETE, goStep6);
			step6_mc.addEventListener(Event.COMPLETE, goStep7);
			
			//backStart_mc.restart_btn.addEventListener(MouseEvent.CLICK, goStart);
			//backStart_mc.back_btn.addEventListener(MouseEvent.CLICK, goBack);
			
			stage.addEventListener(MouseEvent.CLICK, goNext);
			
			stage.showDefaultContextMenu = false;
			var my_cMenu:ContextMenu = new ContextMenu();
			my_cMenu.hideBuiltInItems();
			contextMenu = my_cMenu;
			
			stage.displayState = StageDisplayState.FULL_SCREEN;
			//stage.addEventListener(MouseEvent.RIGHT_CLICK, disableContext);
		}
		
		private function goNext(e:MouseEvent):void{
			if(backStart_mc.parent){
				if(backStart_mc.back_btn.currentFrame == 2){
					goBack(null);
				}else if(backStart_mc.restart_btn.currentFrame == 2){
					goStart(null);
				}else{
					currStep.makeChoice();
				}
			}else{
				currStep.makeChoice();
			}
			
		}
		
		private function checkDirection(e:MouseEvent){
			var xDirection:String = getHorizontalDirection();
			var yDirection:String = getVerticalDirection();
			
			Mouse.hide();
			
			
				//trace(xDirection, yDirection, currStep.name);
				if(xDirection == "left"){
					if(currStep == step7_mc){
						backStart_mc.back_btn.gotoAndStop(2);
						backStart_mc.restart_btn.gotoAndStop(1);
					}else if(currStep != step2Spend_mc && currStep != step2Usage_mc && !backStart_mc.parent){ 
						currStep.left_btn.gotoAndStop(2);
						currStep.right_btn.gotoAndStop(1);
					}
				}else if(xDirection == "right"){
					if(currStep == step7_mc){
						backStart_mc.back_btn.gotoAndStop(1);
						backStart_mc.restart_btn.gotoAndStop(2);
					}else if(currStep != step2Spend_mc && currStep != step2Usage_mc && !backStart_mc.parent){ 
						currStep.left_btn.gotoAndStop(1);
						currStep.right_btn.gotoAndStop(2);
					}
				}else if(xDirection == "none"){
					
				}
			
			
			if(backStart_mc.parent && currStep != step7_mc){
				if(yDirection == "up"){
					currStep.right_btn.gotoAndStop(1);
					currStep.left_btn.gotoAndStop(1);
					if(xDirection == "left"){
						backStart_mc.back_btn.gotoAndStop(2);
						backStart_mc.restart_btn.gotoAndStop(1);
					}else if(xDirection == "right"){
						backStart_mc.back_btn.gotoAndStop(1);
						backStart_mc.restart_btn.gotoAndStop(2);
					}
				}else if(yDirection == "down"){
					backStart_mc.back_btn.gotoAndStop(1);
					backStart_mc.restart_btn.gotoAndStop(1);
					if(xDirection == "left"){
						if(currStep != step2Spend_mc && currStep != step2Usage_mc){ 
							currStep.left_btn.gotoAndStop(2);
							currStep.right_btn.gotoAndStop(1);
						}
					}else if(xDirection == "right"){
						if(currStep != step2Spend_mc && currStep != step2Usage_mc){ 
							currStep.left_btn.gotoAndStop(1);
							currStep.right_btn.gotoAndStop(2);
						}
					}
					
				}else if(yDirection == "none"){
					
				}
			}
			
			resetTimer(null);
			e.updateAfterEvent();
		}

		private function getHorizontalDirection():String{
			prevX = curX;
			curX = stage.mouseX;
			 
			if (prevX > curX) {
				dirX = "left";
			} else if (prevX < curX) {
				dirX = "right";
			} else {
				dirX = "none";
			}
			 
			return dirX;
		}
		 
		private function getVerticalDirection():String{
			prevY = curY;
			curY = stage.mouseY;
			 
			if (prevY > curY) {
				dirY = "up";
			} else if (prevY < curY) {
				dirY = "down";
			} else {
				dirY = "none";
			}
			 
			return dirY;
		}

		private function resetTimer(e:MouseEvent):void{
			timer.reset();
			timer.start();
		}
		
		private function screensaverOn(e:TimerEvent):void{
			if(!screensaver.active){
				reset();
				screensaver.activate();
			}
		}
		
		private function goStep1(e:MouseEvent):void{
			reset();
			currStep = step1_mc;
			currStep.left_btn.gotoAndStop(2);
			step7_mc.planIs(0);
			addChild(step1_mc);
		}
		
		private function goStep2(e:Event):void{
			reset();
			
			prev = goStep1;
			
			//Mouse.hide();
			
			if(step1_mc.choice == "mins"){
				currStep = step2Usage_mc;
				addChild(step2Usage_mc);
				step2Usage_mc.activate();
			}else{
				currStep = step2Spend_mc;
				addChild(step2Spend_mc);
				step2Spend_mc.activate();
			}
			
			//addChild(backStart_mc);
		}
		
		private function goStep3(e:Event):void{
			
			reset();
			prev = goStep2;
			currStep = step3_mc;
			currStep.left_btn.gotoAndStop(2);
			//trace("s3a:",step2Spend_mc.choice,step2Usage_mc.choice)
			
			if(e != null){
				if(e.currentTarget == step2Usage_mc){
					
					//step2Spend_mc.choice = step2Usage_mc.choice;
					
					if(step2Usage_mc.choice < 10){
						step7_mc.planIs(1);
					}else if(step2Usage_mc.choice > 20){
						step7_mc.planIs(2);
					}else{
						step7_mc.planIs(1);
					}
					
					
				}else{
					
					//step2Usage_mc.choice = step2Spend_mc.choice;
					
					if(step2Spend_mc.choice < 10){
						step7_mc.planIs(1);
					}else if(step2Spend_mc.choice > 20){
						step7_mc.planIs(2);
					}else{
						step7_mc.planIs(1);
					}
					
				}
			}
			
			trace("s3b:",step2Spend_mc.choice,step2Usage_mc.choice,step7_mc.getPlan())
			
			addChild(step3_mc);
			addChild(backStart_mc);
		}
		
		private function goStep4(e:Event):void{
			reset();
			prev = goStep3;
			
			if(step3_mc.choice == "yes"){
				currStep = step4_mc;
				currStep.left_btn.gotoAndStop(2);
				addChild(step4_mc);
			}else{
				currStep = step5_mc;
				currStep.left_btn.gotoAndStop(2);
				addChild(step5_mc);
			}
			addChild(backStart_mc);
		}
		
		private function goStep5(e:Event):void{
			reset();
			prev = goStep4;
			
			//trace("step5!!!");
			/*if(step4_mc.choice == "resign"){
				addChild(step5_mc);
			}else{
				addChild(step7_mc);
			}*/
			
			//trace(step7_mc.choice,step4_mc.choice);
			
			if(step7_mc.getPlan() >= 2){
				if(step4_mc.choice == "transfer"){
					currStep = step7_mc;
					backStart_mc.back_btn.gotoAndStop(2);
					addChild(step7_mc);
				}else{
					currStep = step5_mc;
					currStep.left_btn.gotoAndStop(2);
					addChild(step5_mc);
				}
			}else{
				currStep = step5_mc;
				currStep.left_btn.gotoAndStop(2);
				addChild(step5_mc);
			}
			
			
			addChild(backStart_mc);
		}
		
		private function goStep6(e:Event):void{
			
			reset();
			prev = goStep5;
			
			trace("s6",step7_mc.getPlan())
			
			if(step5_mc.choice == "yes" && step7_mc.plan == 2){
				step7_mc.plan = 3;
			}
			if(step5_mc.choice == "yes" && step7_mc.plan == 3){
				step7_mc.plan = 3;
			}
			
			//if(step7_mc.choice < 20 ){
				
				//addChild(step7_mc);
			
			
			//}else {
				if(step7_mc.getPlan() == 3){// || step7_mc.plan == 2
					currStep = step6_mc;
					currStep.left_btn.gotoAndStop(2);
					addChild(step6_mc);
				}else{
					currStep = step7_mc;
					backStart_mc.back_btn.gotoAndStop(2);
					addChild(step7_mc);
					//}
				}
				
			//}
			
			addChild(backStart_mc);
			
		}
		
		private function goStep7(e:Event):void{
			reset();
			if(step6_mc.choice == "mins"){
				prev = goStep6;
				step7_mc.planIs(2);
			}else if(step6_mc.choice == "off"){
				prev = goStep6;
				step7_mc.planIs(3);
			}
			currStep = step7_mc;
			backStart_mc.back_btn.gotoAndStop(2);
			//step7_mc.planIs(plan);
			addChild(step7_mc);
			addChild(backStart_mc);
		}

		private function goBack(e:MouseEvent):void{
			reset();
			prev(null);
		}
		
		private function goStart(e:MouseEvent):void{
			reset();
			currStep = step1_mc;
			currStep.left_btn.gotoAndStop(2);
			addChild(step1_mc);
		}

		private function reset():void{
			screensaver.deactivate();
			step2Usage_mc.deactivate();
			step2Spend_mc.deactivate();
			
			if(currStep.left_btn){
				currStep.left_btn.gotoAndStop(1);
				currStep.right_btn.gotoAndStop(1);
			}
			backStart_mc.back_btn.gotoAndStop(1);
			backStart_mc.restart_btn.gotoAndStop(1);
			
			if(backStart_mc.parent){
				removeChild(backStart_mc);
			}
			
			if(step1_mc.parent){
				removeChild(step1_mc);
			}
			if(step2Spend_mc.parent){
				removeChild(step2Spend_mc);
			}
			if(step2Usage_mc.parent){
				removeChild(step2Usage_mc);
			}
			if(step3_mc.parent){
				removeChild(step3_mc);
			}
			if(step4_mc.parent){
				removeChild(step4_mc);
			}
			if(step5_mc.parent){
				removeChild(step5_mc);
			}
			if(step6_mc.parent){
				removeChild(step6_mc);
			}
			if(step7_mc.parent){
				removeChild(step7_mc);
			}
			
		}
		
	}
	
}